### Function

# Gimp ConfigInterface sync

#### Declaration [src]

    gboolean
    gimp_config_sync (
      GObject* src,
      GObject* dest,
      GParamFlags flags
    )

#### Description [src]

Compares all read- and write-able properties from `src` and `dest` that have all `flags` set. Differing values are then copied from `src` to `dest`. If `flags` is 0, all differing read/write properties.

Properties marked as “construct-only” are not touched.

If the two objects are not of the same type, only properties that exist in both object classes and are of the same value_type are synchronized.

Available since: | 2.4

#### Parameters

`src` | `GObject`
| A `GObject`.
| The data is owned by the caller of the function.
`dest` | `GObject`
| Another `GObject`.
| The data is owned by the caller of the function.
`flags` | `GParamFlags`
| A mask of GParamFlags.

#### Return value

Returns: | `gboolean`
| `TRUE` if `dest` was modified, `FALSE` otherwise.